function NutriRecomendationController(ScreenService, FilialRepository,NutriRecomendationService){

    /* Gets all the products consumed in the period*/
    this.getRecomendationByFilial = function(){
        FilialRepository.findOne().then(function(filial){
            var CDFILIAL = filial.CDFILIAL;
            NutriRecomendationService.getRecomendationByFilial(CDFILIAL).then(function(recomendation){
                if(recomendation){
                    ScreenService.openWindow('nutriRecomendation');
                }else{
                    ScreenService.showMessage('Nenhuma recomendação cadastrada');
                }
            })
        });
    };

    this.nutriRecomendationOnEnter = function(widget){
        widget.fields[1].label = widget.dataSource.data[0]["DSRECOMENDNUTRI"];
    }
};

Configuration(function(ContextRegister){
    ContextRegister.register('NutriRecomendationController', NutriRecomendationController);
});
