function NotificationService(Query, NotificationRepository, ReadedNotificationRepo){

    this.loadNotifications = function(consumers){
        var query = Query.build()
                        .where('consumers').equals(consumers)
        return NotificationRepository.download(query);
    };

    this.setAsReaded = function(row){
        var query = Query.build()
                        .where('NRNOTIFICAAPP').equals(row.NRNOTIFICAAPP)
        return ReadedNotificationRepo.download(query);
    };

};

Configuration(function(ContextRegister){
    ContextRegister.register('NotificationService', NotificationService);
});
